Skip to main content
PATCH
Update a discussion

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Path Parameters

id
string
required

Discussion identifier

Body

application/merge-patch+json

The updated Discussion resource

title
string | null
unit
string<iri-reference> | null
Example:

"/api/v1/units/1"

isReadOnly
boolean | null
namespace
string<iri-reference> | null
Example:

"/api/v1/discussion_namespaces/1"

assignee
string<iri-reference> | null
Example:

"/api/v1/users/1"

priority
integer | null
position
integer | null
isArchived
boolean | null
isSupport
boolean | null
supportMetadata
string | null
supportAnonymous
(string | null)[] | null
isIssue
boolean | null
issueStatus
string<iri-reference> | null
Example:

"/api/v1/issue_statuses/1"

issueType
string<iri-reference> | null
Example:

"/api/v1/issue_types/1"

dueDate
string<date-time> | null
issueBoardPosition
integer | null
issueStatusPosition
integer | null

Response

Discussion resource updated

id
integer
read-only
title
string | null
content
string | null
read-only
mainPost
object | null
postsCount
integer | null
unit
object | null
isReadOnly
boolean | null
topics
object[]
namespace
object | null
assignee
object | null
priority
integer | null
position
integer | null
isArchived
boolean | null
isSupport
boolean | null
supportMetadata
string | null
supportAnonymous
(string | null)[] | null
isIssue
boolean | null
issueStatus
object | null
issueType
object | null
dueDate
string<date-time> | null
viewsCount
integer | null
reactionsCount
integer | null
issueBoardPosition
integer | null
issueStatusPosition
integer | null